%define _enable_python %{?enable_python:%{enable_python}}%{?!enable_python:1}
%define _enable_mp %{?enable_mp:%{enable_mp}}%{?!enable_mp:1}
%define _enable_static %{?enable_static:%{enable_static}}%{?!enable_static:1}
%define _enable_print %{?enable_print:%{enable_print}}%{?!enable_print:0}
%define _enable_convenience %{?enable_convenience:%{enable_convenience}}%{?!enable_convenience:1}

%define subver   2.0
%define age	 0
%define minorver 0
%define microver 5
%define prever 0
%define gimp_lang_ver 20

Summary:	The GNU Image Manipulation Program
Name: 		gimp
Version: 	2.0.5
%if %prever
Release: 0.%{prever}.1.XOS.1
%else
Release: 5.XOS.1
%endif
Epoch:		1
License: 	GPL, LGPL
Group: 		Applications/Multimedia
URL: 		http://www.gimp.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes:		gimp2 gimp-beta <= %{version}
Obsoletes:		gimp-perl < %{epoch}:%{version}
BuildRequires:	glib2-devel >= 2.3.0
BuildRequires: 	gtk2-devel >= 2.4.0
BuildRequires:	pango-devel >= 1.4.0
BuildRequires:	fontconfig-devel >= 2.2.0
BuildRequires:	gtkhtml2-devel
BuildRequires:	python-devel
BuildRequires:	pygtk2-devel
BuildRequires:	librsvg2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng-devel
BuildRequires:	libmng-devel
BuildRequires:	libexif-devel
BuildRequires:	xorg-x11-devel
BuildRequires:	gimp-print-devel >= 4.2.0
BuildRequires:	automake >= 1.7
BuildRequires:	autoconf >= 2.54
BuildRequires:	libtool >= 1.5
BuildRequires:	perl
BuildRequires:	libwmf-devel >= 0.2.8
PreReq:     desktop-file-utils >= 0.9
Requires:	glib2 >= 2.3.0
Requires: 	gtk2 >= 2.3.0
Requires:	pango >= 1.4.0
Requires:	fontconfig >= 2.2.0
Requires:	gimp-print >= 4.2.0
Requires(post): /sbin/ldconfig /usr/bin/update-desktop-database
Requires(postun): /sbin/ldconfig /usr/bin/update-desktop-database
%if %prever
Source0: 	ftp://ftp.gimp.org/pub/gimp/v%{subver}/testing/gimp-%{version}%{prever}.tar.bz2
%else
Source0: 	ftp://ftp.gimp.org/pub/gimp/v%{subver}/gimp-%{version}.tar.bz2
%endif
Patch0:		gimp-2.0pre3-buildroot.patch
Patch1:		gimp-2.0.1-gimphelpmissing.patch
Patch2:		gimp-2.0.5-invalidbpp.patch

%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for webpages. The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

The GIMP includes a scripting facility, but many of the included
scripts rely on fonts that we cannot distribute. The GIMP FTP site
has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts. Some of
the fonts have unusual licensing requirements; all the licenses are
documented in the package. Get
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz and
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system
before running the scripts.

%package devel
Summary: GIMP plugin and extension development kit
Group: 		Applications/Multimedia
Requires: 	gtk2-devel, %{name} = %{epoch}:%{version}-%{release}
Obsoletes:	gimp2-devel gimp-beta-devel <= %{version}
%description devel
The gimp-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and
extensions.

%prep
%if %prever
%setup -q -n gimp-%{version}%{prever}
%else
%setup -q
%endif
%patch0 -p1 -b .buildroot
%patch1 -p1 -b .gimphelpmissing
%patch2 -p1 -b .invalidbpp

%build
libtoolize --copy --force
aclocal -I m4macros
perl -pi -e 's/require +XML::Parser/;/g;' aclocal.m4
automake
autoconf
LIBAA="disable"; export LIBAA
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --quiet $MYARCH_FLAGS --prefix=%{_prefix}
fi
%configure \
	--disable-perl \
%if %_enable_python
	--enable-python \
%else
	--disable-python \
%endif
%if %_enable_mp
	--enable-mp \
%else
	--disable-mp \
%endif
%if %_enable_static
	--enable-static \
%else
	--disable-static \
%endif
%if %_enable_print
	--enable-print \
%else
	--disable-print \
%endif
;

make %{?_smp_mflags}

%install
export PATH="$PATH:$PWD/bin"
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_infodir} $RPM_BUILD_ROOT/%{_includedir} \
	$RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/%{_bindir} \
        $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver}/plug-ins \
		$RPM_BUILD_ROOT/%{_datadir}/{applications,application-registry,mime-info,pixmaps}

# makeinstall macro won't work here - libexec is overriden
make DESTDIR=$RPM_BUILD_ROOT install

# build MimeType list
pushd $RPM_BUILD_ROOT%{_datadir}/gimp/%{subver}/misc
# canary
[ ! "$(perl -e 'while (<>) { m/^MimeType=/ && print $_ }' < gimp.desktop)" ]
perl -e 'print "MimeType="; while (<>) { m/^$/ && next; m/^[ \t]/ && next; m/^#/ && next; chomp (); print "$_;"; } print "\n";' < gimp.keys >> gimp.desktop
popd

#
# Plugins and modules change often (grab the executeable ones)
#
echo "%defattr (-, root, root)" > gimp-plugin-files
find $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver} -type f -exec file {} \; | grep -v perl | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v /usr/lib/gimp/%{subver}/modules/.*\.a$ >>gimp-plugin-files

#
# Auto detect the lang files.
#
if [ -f /usr/lib/rpm/find-lang.sh ] ; then
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT gimp%{gimp_lang_ver}
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT gimp%{gimp_lang_ver}-std-plug-ins
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT gimp%{gimp_lang_ver}-script-fu
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT gimp%{gimp_lang_ver}-libgimp
 cat gimp%{gimp_lang_ver}.lang gimp%{gimp_lang_ver}-std-plug-ins.lang gimp%{gimp_lang_ver}-script-fu.lang gimp%{gimp_lang_ver}-libgimp.lang > gimp-all.lang
else
 echo '%{_datadir}/locale/*/*/*' > gimp-all.lang
fi

# #
# # Tips
# #
# echo "%defattr (-, root, root, 555)" >gimp-tips-files
# echo "%{_datadir}/gimp/%{subver}/tips/gimp_tips.txt" >> gimp-tips-files
# for I in `ls $RPM_BUILD_ROOT/%{_datadir}/gimp/%{subver}/tips/gimp*.[a-z]*.txt | sed "s@^$RPM_BUILD_ROOT/@@g"`; do
#    tip_lang=`basename $I | cut -d'.' -f2`
#    echo "%lang($tip_lang)    $I" >> gimp-tips-files
# done

#
# Build the master filelists generated from the above mess.
#
# cat gimp-plugin-files gimp-all.lang gimp-tips-files > gimp.files
cat gimp-plugin-files gimp-all.lang > gimp.files

## install desktop entry
#mkdir -p %{buildroot}/%{_datadir}/applications
#mkdir -p %{buildroot}/%{_datadir}/mc/templates
#install -m 644 $RPM_SOURCE_DIR/gimp.desktop %{buildroot}/%{_datadir}/applications
#install -m 644 $RPM_SOURCE_DIR/gimp.desktop %{buildroot}/%{_datadir}/mc/templates
#mkdir -p %{buildroot}/usr/share/pixmaps
#install -m 644 $RPM_SOURCE_DIR/gimp.png %{buildroot}/%{_datadir}/pixmaps

%__ln_s ../gimp/%{subver}/images/wilber-icon.png %{buildroot}/%{_datadir}/pixmaps/gimp.png

%if %_enable_convenience
# install convenience symlinks
[ ! -L %{buildroot}/%{_bindir}/gimp ] && ln -s gimp-%{subver} %{buildroot}/%{_bindir}/gimp
[ ! -L %{buildroot}/%{_bindir}/gimp-remote ] && ln -s gimp-remote-%{subver} %{buildroot}/%{_bindir}/gimp-remote
[ ! -L %{buildroot}/%{_bindir}/gimptool ] && ln -s gimptool-%{subver} %{buildroot}/%{_bindir}/gimptool
%endif

# Rename desktop title
perl -pi -e 's/^Name=The GIMP$/Name=GIMP Image Editor/;s/^Name\[de\]=GIMP/Name[de]=GIMP Bildbearbeitung/;' %{buildroot}%{_datadir}/gimp/%{subver}/misc/gimp.desktop

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/update-desktop-database %{_datadir}/applications

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
    /usr/bin/update-desktop-database %{_datadir}/applications
fi

%files -f gimp.files
%defattr(-, root, root, 0755)
%{_datadir}/gimp/%{subver}/misc/

%defattr (-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README TODO.xml
%doc docs/*.txt docs/*.ps docs/*.xcf* docs/*.svg README.i18n README.win32
#%attr(-,root,root) %config(missingok) /%{_datadir}/applications/gimp.desktop
#%attr(-,root,root) %config(missingok) /%{_datadir}/mc/templates/gimp.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/application-registry/*.applications
%{_datadir}/mime-info/*.keys
%{_datadir}/pixmaps/gimp.png

%dir %{_datadir}/gimp
%dir %{_datadir}/gimp/%{subver}
%dir %{_datadir}/gimp/%{subver}/tips
%{_datadir}/gimp/%{subver}/tips/*
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{subver}
%dir %{_libdir}/gimp/%{subver}/environ
#%dir %{_libdir}/gimp/%{subver}/fonts
%dir %{_libdir}/gimp/%{subver}/modules
%dir %{_libdir}/gimp/%{subver}/plug-ins
%dir %{_libdir}/gimp/%{subver}/python
#%dir %{_libdir}/gimp/%{subver}/tool-plug-ins

%{_datadir}/gimp/%{subver}/brushes/
%{_datadir}/gimp/%{subver}/fractalexplorer/
%{_datadir}/gimp/%{subver}/gfig/
%{_datadir}/gimp/%{subver}/gflare/
%{_datadir}/gimp/%{subver}/gimpressionist/
%{_datadir}/gimp/%{subver}/gradients/
# %{_datadir}/gimp/%{subver}/help/
%{_datadir}/gimp/%{subver}/images/
%{_datadir}/gimp/%{subver}/palettes/
%{_datadir}/gimp/%{subver}/patterns/
%{_datadir}/gimp/%{subver}/scripts/
%{_datadir}/gimp/%{subver}/themes/

%dir %{_sysconfdir}/gimp
%dir %{_sysconfdir}/gimp/%{subver}
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/gimprc
#%config(noreplace) %{_sysconfdir}/gimp/%{subver}/gimprc_user
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/gtkrc
#%config(noreplace) %{_sysconfdir}/gimp/%{subver}/gtkrc_user
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/unitrc
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/ps-menurc
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/sessionrc
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/templaterc

#%{_datadir}/locale/*/*/*

#%{_libdir}/libgck-%{subver}.so.%{age}.%{minorver}.%{microver}
#%{_libdir}/libgck-%{subver}.so.%{age}
%{_libdir}/libgimp-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimp-%{subver}.so.%{age}
%{_libdir}/libgimpbase-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpbase-%{subver}.so.%{age}
%{_libdir}/libgimpcolor-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpcolor-%{subver}.so.%{age}
%{_libdir}/libgimpmath-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpmath-%{subver}.so.%{age}
%{_libdir}/libgimpmodule-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpmodule-%{subver}.so.%{age}
%{_libdir}/libgimpthumb-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpthumb-%{subver}.so.%{age}
%{_libdir}/libgimpui-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpui-%{subver}.so.%{age}
%{_libdir}/libgimpwidgets-%{subver}.so.%{age}.%{minorver}.%{microver}
%{_libdir}/libgimpwidgets-%{subver}.so.%{age}
#%{_libdir}/libgimpproxy-%{subver}.so.%{age}.%{minorver}.%{microver}
#%{_libdir}/libgimpproxy-%{subver}.so.%{age}
#%{_libdir}/libgimptool-%{subver}.so.%{age}.%{minorver}.%{microver}
#%{_libdir}/libgimptool-%{subver}.so.%{age}

%{_bindir}/gimp-%{subver}
%{_bindir}/gimp-remote-%{subver}
%{_bindir}/gimptool-%{subver}
#%{_bindir}/embedxpm
#%{_bindir}/escputil-%{subver}

%if %_enable_convenience
%{_bindir}/gimp
%{_bindir}/gimp-remote
%{_bindir}/gimptool
%endif

%defattr (-, root, root)
%{_mandir}/man1/gimp-%{subver}.1*
%{_mandir}/man1/gimp-remote-%{subver}.1*
%{_mandir}/man1/gimptool-%{subver}.1*
#%{_mandir}/man1/escputil-%{subver}.1.*
%{_mandir}/man5/gimprc-%{subver}.5*

%files devel
%defattr (-, root, root, 0755)
#%{_bindir}/gimp-config-1.4
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/gimp/%{subver}/modules/*.la

%defattr (-, root, root, 0755)
%doc HACKING
%doc %{_datadir}/gtk-doc/*
%{_datadir}/aclocal/*.m4
%{_libdir}/*.a
%{_libdir}/gimp/%{subver}/modules/*.a
%{_includedir}/gimp-%{subver}
%{_libdir}/pkgconfig/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 1:2.0.5-5.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on gimp-2.0.5-5.src.rpm
  (md5sum of original source rpm: 24b4588a471cde1685f409b5276e5ac3).

* Thu Oct 14 2004 Nils Philippsen <nphilipp@redhat.com>
- catch wrong values of bpp in BMP plugin (#135675), don't forget 1bpp and
  24bpp (d'oh)

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com>
- PreReq desktop-file-utils >= 0.9

* Sun Sep 26 2004 Nils Philippsen <nphilipp@redhat.com>
- fix post/postun requirements

* Sat Sep 25 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.5

* Thu Sep 16 2004 Nils Philippsen <nphilipp@redhat.com>
- rename desktop title (#132548)

* Thu Aug 26 2004 Nils Philippsen <nphilipp@redhat.com>
- add MimeType to desktop file
- run update-desktop-database in %%post/%%postun
- don't make stunts with -32 or -64 postfixed binaries anymore
- require /sbin/ldconfig and /usr/bin/update-desktop-database

* Tue Aug 10 2004 Nils Philippsen <nphilipp@redhat.com>
- build requires libwmf-devel

* Fri Aug 06 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.4

* Wed Aug 04 2004 Nils Philippsen <nphilipp@redhat.com>
- rebuild to pick up new libcroco

* Thu Jul 22 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.3
- buildreq gtk2-devel >= 2.4.0
- use -32 or -64 postfixed binaries if available

* Fri Jul 02 2004 Nils Philippsen <nphilipp@redhat.com>
- use included desktop (#126723), application-registry, mime-info and
  icon files
- remove perl cruft (Gimp-Perl is an external package now)
- further spec file cleaning

* Thu Jun 24 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.2
- fix summary (#126682)

* Tue Jun 22 2004 Nils Philippsen <nphilipp@redhat.com>
- build with gcc34 patch (sopwith)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Nils Philippsen <nphilipp@redhat.com>
- rebuild for Rawhide

* Wed May 26 2004 Nils Philippsen <nphilipp@redhat.com>
- add libjpeg-devel to BuildRequires (#121236)
- spit out slightly more informative help message if gimp-help is missing
  (#124307)

* Fri May 21 2004 Matthias Clasen <mclasen@redhat.com>
- rebuild

* Wed Apr 21 2004 Seth Nickell <snickell@redhat.com>
- Rename menu entry for .desktop file to "GIMP Image Editor"

* Tue Apr 20 2004 Nils Philippsen <nphilipp@redhat.com>
- update BuildRequires/Requires (#121236)

* Wed Apr 14 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.1

* Sun Mar 28 2004 Nils Philippsen <nphilipp@redhat.com>
- fix slide script-fu

* Sat Mar 27 2004 Nils Philippsen <nphilipp@redhat.com>
- bump some Build/Requires: versions
- change desktop file to actually run gimp-2.0

* Wed Mar 24 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.0

* Tue Mar 23 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0rc1

* Wed Mar 17 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre4

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 18 2004 Tim Waugh <twaugh@redhat.com>
- Added epoch to gimp-perl obsoletes tag.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Nils Philippsen <nphilipp@redhat.com>
- fix typo in %%_enable_print macro
- install convenience symlinks (gimp, gimp-remote, gimptool)

* Sun Feb 08 2004 Nils Philippsen <nphilipp@redhat.com>
- require gtk2, glib2 >= 2.3.0, pango >= 1.3.0

* Fri Feb 06 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre3
- update buildroot patch
- enable building static libs (old default)
- have '--define'able enable_*
- disable building of print plugin, it's in another package

* Fri Jan 30 2004 Nils Philippsen <nphilipp@redhat.com>
- rebuild against new libcroco

* Sat Jan 24 2004 Nils Philippsen <nphilipp@redhat.com>
- require %%{epoch}:%%{version}-%%{release} of base package in sub packages
- rather use %%{?smp_mflags} to actually exploit SMP build systems

* Fri Jan 23 2004 Nils Philippsen <nphilipp@redhat.com>
- set epoch to 1 to upgrade old gimp rpms
- obsolete gimp2-devel, gimp-beta-devel to allow upgrade of 3rd party repo
  packages, gimp-perl to upgrade old package

* Fri Jan 23 2004 Nils Philippsen <nphilipp@redhat.com>
- fix binary name in desktop file ("gimp-1.3" until gimp-2.0 becomes final, to
  allow coexistence with old gimp-1.x packages)
- system intltool buildrequires perl-XML-Parser, work around that, yay

* Thu Jan 22 2004 Nils Philippsen <nphilipp@redhat.com>
- build as gimp, not gimp-beta
- remove all the beta blurbs
- fix automake dependency
- fix libtool usage

* Tue Jan 20 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre2

* Sun Jan 11 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0pre1

* Tue Nov 25 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.23 beta

* Fri Nov 21 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.22 beta

* Thu Oct 16 2003 Nils Philippsen <nphilipp@redhat.com>
- leave gtk-doc documentation in place
- move gimptool to main package
- own some directories previously not owned

* Tue Oct 07 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.21 beta

* Thu Sep 11 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.20 beta

* Mon Aug 11 2003 Nils Philippsen <nphilipp@redhat.com>
- version 1.3.18 beta

* Thu Jul 10 2003 Nils Philippsen <nphilipp@redhat.com>
- don't specify file modes with defattr

* Wed Jul 09 2003 Nils Philippsen <nphilipp@redhat.com>
- use system libtool

* Fri Jul 04 2003 Nils Philippsen <nils@redhat.de>
- version 1.3.16 beta
- update buildroot patch

* Tue Mar 25 2003 Nils Philippsen <nils@lisas.de>
- version 1.3.13 beta
- use automake-1.7

* Tue Feb 18 2003 Nils Philippsen <nils@lisas.de>
- version 1.3.12 beta

* Fri Oct 25 2002 Nils Philippsen <nils@lisas.de>
- version 1.3.9 beta
- move desktop file to /usr/share/applications

* Wed Aug 28 2002 Nils Philippsen <nils@redhat.de>
- version 1.3.8 beta
- update and fix buildroot patch, don't run automake/autoconf

* Mon Jul 08 2002 Nils Philippsen <nils@redhat.de>
- version 1.3.7 beta
- use automake 1.5 and autoconf 2.53

* Fri Mar 15 2002 Nils Philippsen <nils@redhat.de>
- version 1.3.4 beta

* Thu Jul 19 2001 Tim Powers <timp@redhat.com>
- remove the perl temp files to pacify rpmlint

* Tue Jun 19 2001 Matt Wilson <msw@redhat.com>
- added versioned requires to gimp-devel and gimp-perl

* Tue Apr  3 2001 Matt Wilson <msw@redhat.com>
- added gimp-1.2.1-locale.patch, which I've checked in to gimp CVS, to
  correctly set up the locale in plug-ins (#34214)

* Mon Apr  2 2001 Preston Brown <pbrown@redhat.com>
- some gimp-perl files weren't defattr'd (#34325)

* Fri Mar 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't include embedxpm, as it depends on a non-included perl module (#=33249)
- move gimpdoc and xcftopnm to gimp-perl, as they are dependant on the perl Gimp
  module

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.2.1

* Mon Dec 25 2000 Matt Wilson <msw@redhat.com>
- 1.2.0

* Wed Dec 20 2000 Matt Wilson <msw@redhat.com>
- 1.1.31

* Thu Dec 14 2000 Matt Wilson <msw@redhat.com>
- 1.1.30
- merge changes from CVS into rpm-4.0 style spec file
- removed va_arg patch

* Mon Aug 21 2000 Matt Wilson <msw@redhat.com>
- 1.1.25

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Aug  8 2000 Matt Wilson <msw@redhat.com>
- fixed directory mode on %%{_defaultdocdir}/gimp-%%{version}

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuild against new libpng

* Mon Jul 31 2000 Matt Wilson <msw@redhat.com>
- muck with modules filelist generation to avoid getting files owned by
  two packages

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- disable aa plugin
- moved the group back to Applications/Multimedia
- added desktop entry back into the file list

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  1 2000 Matt Wilson <msw@redhat.com>
- 1.1.24

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- use root, not bin for the default owner.

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- add back missing system .desktop entry

* Sat Jun 10 2000 Matt Wilson <msw@redhat.com>
- rebuilt against fixed gcc

* Mon Jun  5 2000 Matt Wilson <msw@redhat.com>
- defattr for gimp-perl

* Sun Jun  4 2000 Matt Wilson <msw@redhat.com>
- drop out all of \.a$ from the main package list

* Sat Jun  3 2000 Matt Wilson <msw@redhat.com>
- 1.1.23
- use __NO_MATH_INLINES for now on ix86
- massive FHS surgery

* Tue May 16 2000 Matt Wilson <msw@redhat.com>
- 1.1.22

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- 1.1.20

* Fri Apr 14 2000 Matt Wilson <msw@redhat.com>
- include subdirs in the help find
- remove gimp-help-files generation
- both gimp and gimp-perl own prefix/lib/gimp/1.1/plug-ins
- both gimp and gimp-devel own prefix/lib/gimp/1.1/modules

* Thu Apr 13 2000 Matt Wilson <msw@redhat.com>
- 1.1.19
- get all .mo files

* Wed Jan 19 2000 Gregory McLean <gregm@comstar.net>
- Version 1.1.15

* Wed Dec 22 1999 Gregory McLean <gregm@comstar.net>
- Version 1.1.14
- Added some auto %files section generation scriptlets


